summaryrefslogtreecommitdiffstats
path: root/libraries/libmicrohttpd
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-04-11 10:25:32 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:37:51 +0200
commit1cb5341eafde8c9e29517821bbd610dd3eceb141 (patch)
tree54cf7775105e505ee820423042cdcbec99948cfb /libraries/libmicrohttpd
parentd05809f3ccab87ecb190c19a6b9a62005ff33a0f (diff)
downloadslackbuilds-1cb5341eafde8c9e29517821bbd610dd3eceb141.tar.gz
slackbuilds-1cb5341eafde8c9e29517821bbd610dd3eceb141.tar.xz
libraries/libmicrohttpd: Added (HTTP server C library)
Diffstat (limited to 'libraries/libmicrohttpd')
-rw-r--r--libraries/libmicrohttpd/README27
-rw-r--r--libraries/libmicrohttpd/libmicrohttpd.SlackBuild104
-rw-r--r--libraries/libmicrohttpd/libmicrohttpd.info10
-rw-r--r--libraries/libmicrohttpd/slack-desc19
4 files changed, 160 insertions, 0 deletions
diff --git a/libraries/libmicrohttpd/README b/libraries/libmicrohttpd/README
new file mode 100644
index 0000000000..671f627350
--- /dev/null
+++ b/libraries/libmicrohttpd/README
@@ -0,0 +1,27 @@
+GNU libmicrohttpd is a small C library that is supposed to make it easy to run
+an HTTP server as part of another application. GNU libmicrohttpd is free
+software and part of the GNU project. Key features that distinguish
+libmicrohttpd from other projects are:
+
+* C library: fast and small
+* API is simple, expressive and fully reentrant
+* Implementation is http 1.1 compliant
+* HTTP server can listen on multiple ports
+* Support for IPv6
+* Support for incremental processing of POST data
+* Creates binary of only 30k (without TLS/SSL support)
+* Three different threading models
+* Supported platforms include GNU/Linux, FreeBSD, OpenBSD, NetBSD, OS X, W32,
+ Symbian and z/OS
+* Optional support for SSL3 and TLS (requires libgcrypt)
+
+libmicrohttpd was started because the author needed an easy way to add a
+concurrent HTTP server to other projects. Existing alternatives were either
+non-free, not reentrant, standalone, of terrible code quality or a combination
+thereof. Do not use libmicrohttpd if you are looking for a standalone http
+server, there are many other projects out there that provide that kind of
+functionality already. However, if you want to be able to serve simple WWW
+pages from within your C or C++ application, check it out.
+
+libmicrohttpd is licensed under the GNU LGPL. If you disable HTTPS/SSL
+support, you can also choose the second license, the eCos License.
diff --git a/libraries/libmicrohttpd/libmicrohttpd.SlackBuild b/libraries/libmicrohttpd/libmicrohttpd.SlackBuild
new file mode 100644
index 0000000000..30f6ce47b4
--- /dev/null
+++ b/libraries/libmicrohttpd/libmicrohttpd.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for libmicrohttpd.
+#
+# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libmicrohttpd
+VERSION=${VERSION:-0.4.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG/usr/info
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libmicrohttpd/libmicrohttpd.info b/libraries/libmicrohttpd/libmicrohttpd.info
new file mode 100644
index 0000000000..88a31ba842
--- /dev/null
+++ b/libraries/libmicrohttpd/libmicrohttpd.info
@@ -0,0 +1,10 @@
+PRGNAM="libmicrohttpd"
+VERSION="0.4.5"
+HOMEPAGE="http://www.gnu.org/software/libmicrohttpd/"
+DOWNLOAD="http://ftpmirror.gnu.org/libmicrohttpd/libmicrohttpd-0.4.5.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="15cdd61e352621f20fdadf4d8ae2b44c"
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/libraries/libmicrohttpd/slack-desc b/libraries/libmicrohttpd/slack-desc
new file mode 100644
index 0000000000..63f1a96700
--- /dev/null
+++ b/libraries/libmicrohttpd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libmicrohttpd: libmicrohttpd (HTTP server C library)
+libmicrohttpd:
+libmicrohttpd: GNU libmicrohttpd is a small C library that is supposed to make it
+libmicrohttpd: easy to run an HTTP server as part of another application.
+libmicrohttpd:
+libmicrohttpd: GNU libmicrohttpd is free software and part of the GNU project.
+libmicrohttpd:
+libmicrohttpd:
+libmicrohttpd:
+libmicrohttpd:
+libmicrohttpd: